--**********************************************************************
--**********************************************************************
--**
--**  Product Name:      DB2 NetSearch Extender       Owner:
--**
--**  Source File Name:  nxcproc.ddl
--**
--**  Description:       The following script is executed
--**                     when a DB2 NetSearch Extender V.7.1.0 used
--**                     database is migrated to DB2 NetSearch
--**                     Extender V.7.1.1 usage.
--**
--**  Status:            Version 7.1
--**
--**********************************************************************
--**********************************************************************

--*---------------------------------------------------------------------
--* Create Administration tables
--*---------------------------------------------------------------------
CREATE PROCEDURE textSearch_r
         (
          out totalDocs         integer,
          in  searchTerm        varchar(500),
          in  maxHitCount       integer,
          in  maxIntermHitCount integer,
          in  startRowNum       integer,
          in  maxRowsToReturn   integer,
          in  indexname         char(50),
          in  index_directory   char(100),
          in  tmp_directory     char(100),
          in  sqlStatement      varchar(500),
          in  rankOper          integer,
          in  dataSource        integer,
          out wordCounts        char(250)
         )
         SPECIFIC TEXTSEARCH_R
         RESULT SETS 1
         LANGUAGE C
	 PARAMETER STYLE DB2DARI FENCED
         EXTERNAL NAME 'desfpssp!textSearch_r';


CREATE PROCEDURE textSearch_rt
         (
          out totalDocs         integer,
          in  searchTerm        varchar(500),
          in  maxHitCount       integer,
          in  maxIntermHitCount integer,
          in  startRowNum       integer,
          in maxRowsToReturn    integer,
          in indexname          char(50),
          in index_directory    char(100),
          in tmp_directory 	char(100),
          in sqlStatement       varchar(500),
          in rankOper           integer,
          in dataSource         integer,
          out wordCounts        char(250)
         )
         SPECIFIC TEXTSEARCH_RT
	 RESULT SETS 1
	 LANGUAGE C
         PARAMETER STYLE DB2DARI FENCED
	 EXTERNAL NAME 'desfpssp!textSearch_rt';




------------------------------------------------------------------------

